### Constructor

# Meta MultiTexture new

#### Declaration [src]

    MetaMultiTexture*
    meta_multi_texture_new (
      MetaMultiTextureFormat format,
      CoglTexture** planes,
      int n_planes
    )

#### Description [src]

Creates a `MetaMultiTexture` with the given `format`. Each of the `CoglTexture`s represents a plane.

#### Parameters

`format`

  Type: `MetaMultiTextureFormat`

  The format of the `MetaMultiTexture`.

`planes`

  Type: `CoglTexture`

  The actual planes of the texture.

  The called function takes ownership of the data, and is responsible for freeing it.

`n_planes`

  Type: `int`

  The number of planes.

#### Return value

Type: `MetaMultiTexture`

A new `MetaMultiTexture`. Use `g_object_unref()` when you’re done with it.

The caller of the function takes ownership of the data, and is responsible for freeing it.